apiVersion: apps/v1
kind: Deployment
metadata:
  name: "{{ template "app.name" . }}"
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "app.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  selector:
    matchLabels:
      {{- include "app.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "app.labels" . | nindent 8 }}
      annotations:
        vault.hashicorp.com/agent-inject: "true"
        vault.hashicorp.com/role: "gaiax-edc_role"
        vault.hashicorp.com/agent-inject-secret-config.txt: "dev/gaiax-edc-dev-ocm-storage-service"
        vault.hashicorp.com/agent-inject-template-config.txt: |
          {{`{{ with secret "dev/gaiax-edc-dev-ocm-storage-service" }}
          {{ range $k, $v := .Data.data }}
            export {{ $k }}={{ $v }}
          {{ end }}
          {{ end }}`}}
    spec:
      serviceAccountName: {{ .Release.Namespace }}
      securityContext:
        {{- include "app.securitycontext" . | nindent 8 }}
      containers:
      - name: {{ .Chart.Name }}
        image: "{{ .Values.image.repository }}/{{ .Values.image.name }}:{{ default .Chart.AppVersion .Values.image.tag }}"
        imagePullPolicy: {{ .Values.image.imagePullPolicy | quote }}
        ports:
        - name: http
          containerPort: {{ .Values.server.http.port }}
        readinessProbe:
          httpGet:
            path: /v1/metrics/health
            port: {{ .Values.server.http.port }}
          initialDelaySeconds: 5
          periodSeconds: 5
          successThreshold: 2
          failureThreshold: 2
          timeoutSeconds: 5
        command: [ "/bin/sh" ]
        args: [ "-c", "source /vault/secrets/config.txt && ./microservice" ]
